program Mach2D_6p0

!     Escoamento bidimensional permanente de fluido compressível invíscido

!     Versão atual    6.0 (17 Out 06)

!     Versão original 1.0 (   Mai 89)

!     última alteração =   17 Out 06

!     Autor versão atual: Luciano Kiyoshi Araki
!                         DEMEC/UFPR, Curitiba, PR

! -----------------------------------------------

use resultados

! -----------------------------------------------

implicit none

!-------------------------------------------------

interface
  logical(4) function initialsettings
  end function
end interface

name=setwindowtext(gethwndqq(qwin$framewindow),  &
  "Mach2D 6.0 - Escoamento bidimensional permanente de fluido compressível invíscido"C)

! -----------------------------------------------

call solucao_numerica

! -----------------------------------------------

fim = setexitqq(qwin$exitnopersist) 

end

!--------------------------------------------------------

logical(4) function initialsettings()

  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 700         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

!--------------------------------------------------------
